#ifndef __MAINWINDOW_H__
#define __MAINWINDOW_H__

#include <QMainWindow>
#include <QStackedWidget>

#define MAX_CANVAS_COUNT 12

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = nullptr);
    ~MainWindow();

protected:
    void init_ui();

private:
    QStackedWidget *m_pStackedWidget;

public slots:
    void onUpdateScreen(const QJsonObject &obj);
    void onPageSwitdh(int state);
    
};

#endif // MAINWINDOW_H